package com.jpsoft.shinestar.modules.business.service;


import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PersonPopedom;
import com.jpsoft.shinestar.modules.business.entity.AdjustShift;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-27 15:10
 */
public interface AdjustShiftService {
    AdjustShift get(String id);
    boolean exist(String id);
    int insert(AdjustShift model);
    int update(AdjustShift model);
    int delete(String id);
    List<AdjustShift> list();
    Page<AdjustShift> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    String adjustShiftSubmit(PersonPopedom personPopedom, String date, String shiftIds, String remark, String formId,String ids,String draft) throws Exception;
    List<AdjustShift> findBySchedulingIdAndStatus(String schedulingId,String status);

    String arrangeShiftSubmit(PersonPopedom personPopedom, String personIds, String date, String shiftIds, String remark);
}
